libzypp 17.37.10

YamlTestcaseHelpers.h File Reference
`#include <zypp/base/LogControl.h>`
`#include "LoadTestcase.h"`
`#include "TestcaseSetupImpl.h"`
`#include <yaml-cpp/yaml.h>`
`#include <type_traits>`

Go to the source code of this file.

## Namespaces
namespace | yamltest
namespace | yamltest::detail

## Macros
#define | if_SolverFlag(N)

## Functions
bool | yamltest::detail::parseSetup (const YAML::Node &setup, zypp::misc::testcase::TestcaseSetup &t, std::string *err)
template<typename T>
bool | yamltest::detail::parseJobs (const YAML::Node &trial, std::vector< T > &target, const zypp::Pathname &testcaseDir, std::string *err)
template<typename T>
bool | yamltest::detail::parseSingleJob (const YAML::Node &jobNode, std::vector< T > &target, const zypp::Pathname &testcaseDir, std::string *err)
bool | yamltest::detail::parseTrial (const YAML::Node &trial, zypp::misc::testcase::TestcaseTrial &target, const zypp::Pathname &testcaseDir, std::string *err)

## Macro Definition Documentation

## ◆ if_SolverFlag

#define if_SolverFlag | ( |  | N | ) |

Value:
if ( data[#N] ) { target.N = data[#N].as<bool>(); }